Bug 91453 - "ps axl" segfaults
"ps axl" segfaults
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 15:19 EDT by Tom Wood
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-23 11:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2003-05-22 15:19:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
"ps axl" segfaults

Example:

[root@fluid root]# ps axl
F   UID   PID  PPID PRI  NI   VSZ  RSS WCHAN  STAT TTY        TIME COMMAND
4     0     1     0  15   0  1380  464 schedu S    ?          0:04 init
1     0     2     1  15   0     0    0 contex SW   ?          0:00 [keventd]
1     0     3     1  15   0     0    0 schedu SW   ?          0:00 [kapmd]
1     0     4     1  34  19     0    0 ksofti SWN  ?          0:02
[ksoftirqd_CP1     0     9     1  15   0     0    0 bdflus SW   ?          0:10
[bdflush]
1     0     5     1  15   0     0    0 schedu SW   ?          0:02 [kswapd]
1     0     6     1  15   0     0    0 schedu SW   ?          0:00 [kscand/DMA]
1     0     7     1  15   0     0    0 schedu SW   ?          0:06
[kscand/Norma1     0     8     1  15   0     0    0 schedu SW   ?          0:00
[kscand/HighM1     0    10     1  15   0     0    0 schedu SW   ?          0:00
[kupdated]
1     0    11     1  23   0     0    0 md_thr SW   ?          0:00
[mdrecoveryd]Segmentation fault
[root@fluid root]#


Version-Release number of selected component (if applicable):
procps-2.0.11-6

How reproducible:
Always

Steps to Reproduce:
1.Run "ps axl"
2.Watch for segfault
3.
    

Actual Results:  segfault

Expected Results:  ps axl output so I can find child processes

Additional info:

As with all segfaulters, this has a potential to be a security issue, however
remote.  I'll enter the severity as normal, however, because a practical means
of exploiting this eludes me.
Comment 1 Alexander Larsson 2003-05-23 05:09:55 EDT
This was a bug in the wchan symbol decoding. It will be fixed in 2.0.12-1.
Comment 2 Alexander Larsson 2003-05-23 11:29:23 EDT
I've build and tested this, it'll be in rawhide shortly.

Note You need to log in before you can comment on or make changes to this bug.